package com.om.service;

import com.om.entity.dto.AppDiagLogDTO;
import com.om.entity.dto.DiaLogQueryPageDTO;
import com.om.entity.po.DiagnosticLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.DiaLogQueryPageVO;
import com.om.utils.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-02-27
 */
public interface IDiagnosticLogService extends IService<DiagnosticLog> {

    Result<DiaLogQueryPageVO> getPageList(DiaLogQueryPageDTO dto);

    Result batchDownload(List<Integer> ids);

    Result downloadFile(Integer id);

    Result updateDiagLog(AppDiagLogDTO dto);

    Result delete(Integer id);

}
